Subject: Re: [Healeys] BN 7 side screens-update

From: Richard Collins <[email-masked]>
Date: Fri, 15 Jan 2016 23:07:29 +0000

Just as a follow-up, I got the replacement side screen kit from David Nock and with little effort except for putting the new felts in, the side screens are clear, new and installed. Hopefully the felts will wear in because they are tight but not a big issue.

Now, back to getting the soft top fitted. I'm close but more modification for fit are in order. 

________________________________________
From: Bob Haskell <[email-masked]>
Sent: Friday, December 4, 2015 3:04 AM
To: Richard Collins
Cc: [email-masked]
Subject: Re: [Healeys] BN 7 side screens

Richard,

British Car Specialists sells the pre-cut pieces and the 'fuzzy' seal.
You can carefully bend the aluminium away from the fixed pieces of
perspex.  Once a fixed piece is loose, move it to the center of the
frame and bend it in the middle to remove.  No heat required.

Cheers,

Bob Haskell
AHCA 3000 Mk I registrar
http://www.ciahc.org/registry_3000mk1.php

On 12/03/2015 08:59 PM, Richard Collins wrote:
> Anyone know how to change the lens in a BN7 side screen ?
> Mine are cracked/crazed. I went to local "craftsmen" but they wouldn't
> touch them because the plexiglass is crimped at several places on the
> frame. Getting them out with some heat seems possible but replacing with
> anything like plexi or Lexan doesn't seem do-able.
>
> Regards,
> Richard C
>
>
> On Dec 3, 2015, at 19:17, WILLIAM B LAWRENCE <[email-masked]
>
>> Me too. Good luck. If I could only come up with some of the channel
>> I'd make some.
>>
>>
>> Bill Lawrence
>>
>> BN1-554
>>
>>
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys